import request from '@/utils/request'

// 主体库->查询列表
export function listAPI(params) {
    return request({
        url: '/smartPlatform/mainDatabase/enterprise/getList',
        method: 'GET',
        params
    })
}

/* 主体库->新增主体库 */
export function addDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/enterprise/addData',
        method: 'POST',
        data
    })
}

/* 主体库->修改主体库 */
export function editDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/enterprise/editData',
        method: 'POST',
        data
    })
}

/* 主体库->删除主体库 */
export function delDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/enterprise/delData',
        method: 'POST',
        data
    })
}

/* 主体库->查询详情 */
export function getDetailDataAPI(params) {
    return request({
        url: '/smartPlatform/mainDatabase/enterprise/getDetailData',
        method: 'GET',
        params
    })
}